Audit Log
GET
/v1/orgs/{org_id}/audit/verifyVerify Audit Chain
Verify the cryptographic integrity of the audit log chain. Returns verification status and any tampered or missing events.
Admin tokenscope: org:adminoperation_id: audit.verifyChain
Authentication
Create via POST /v1/orgs/{org_id}/tokens/admin. Org-wide scope — keep tightly held.
SDK install
pip install znyx-sdknpm install @znyx/sdkPath parameters
| Name | Type | Required | Description |
|---|---|---|---|
| org_id#path | string | required | — |
Query parameters
| Name | Type | Required | Description |
|---|---|---|---|
| limit#query | integer | optional | — |
Header parameters
| Name | Type | Required | Description |
|---|---|---|---|
| X-API-Key#header | string | null | optional | — |
| authorization#header | string | null | optional | — |
Responses
| Status | Description |
|---|---|
| 200 | Successful Response |
| 422 | Validation Error |
Response schema
any
Errors & what triggers them
| Code | Trigger | Fix |
|---|---|---|
| 401 | Missing or expired Authorization header. | — |
| 403 | Token does not have org access (wrong org_id, or insufficient role). | — |
| 404 | Resource does not exist in this org. | — |
Request
curl -X GET 'https://api.znyx.ai/v1/orgs/00000000-0000-0000-0000-000000000000/audit/verify' \ -H 'Authorization: Bearer $ZNYX_TOKEN'
Response
application/json
Successful Response
null
Schema: any